BEGIN {
    timestep = -1;
    link_count_1 = 0;
    link_count_2 = 0;
}
{
    if ($2 == node_id) {
	if ($1 != timestep && timestep != -1) {
	    print timestep, link_count_1, link_count_2;
	    link_count_1 = 0;
	    link_count_2 = 0;
	}

	if ($3 == from_link_id_1 && $4 == to_link_id_1) {
	    link_count_1 = $5;
	}
	if ($3 == from_link_id_2 && $4 == to_link_id_2) {
	    link_count_2 = $5;
	}
	timestep = $1;
    }
}
END {
    if (timestep != -1)
	print timestep, link_count_1, link_count_2;
}
