/*      file     : Planner/dijkstra.h
        purpose  : object oriented dijkstra
                   to be able to plug in different types of priority queue
        author   : Riko Jacob
                   interface changes by Marcus Rickert
        RCS      : $Id: dijkstra.h,v 1.3 2005/03/25 13:41:08 mr Exp $

        Copyright (C) 2005 Riko Jacob and Marcus Rickert

        http://www.the-rickerts.de/mr/PAMINA.html
*/

#ifndef DIJKSTRA_H
#define DIJKSTRA_H

// ***PROTOTYPES********************************************************************** 

void
Level0AddFeedback(int TimeBin, double Ratio, double Weight);

int 
Level0ComputeCorrections(hash<nodeinfo> &node_hash);

int
Level0Prepare(void);

// ===================================================================================
// Local Variables:
// mode:c++
// End:
#endif
