/*      file     : TrafficData/TDatabaseEdge.h
        project  : PAMINA III
        author   : Marcus Rickert
        RCS      : $Id: TDatabaseEdge.h,v 1.3 2005/03/29 17:12:48 mr Exp $

        Copyright (C) 2005 Marcus Rickert

        http://www.the-rickerts.de/mr/PAMINA.html
*/

#ifndef TDATABASEEDGE_H
#define TDATABASEEDGE_H

// ***CLASSES************************************************************************* 

class TDatabaseEdge 

{
public:

    LongID    ID;
    LongID    FromNodeID;
    LongID    ToNodeID;
    short     Level;
    short     Class;
    short     NrOfLanes;
    double    Length;
    double    SpeedLimit;
    double    FreeSpeed;
};

// ===================================================================================
// Local Variables:
// mode:c++
// End:
#endif
