/*      file     : common/THeap.i.C
        project  : General Toolbox
        authors  : Marcus Rickert
        RCS      : $Id: THeap.i.C,v 1.3 2005/03/25 11:04:59 mr Exp $

        Copyright (C) 2005 Marcus Rickert

        http://www.the-rickerts.de/mr/PAMINA.html
*/

// ***METHODS************************************************************************* 

inline long
THeapObject::GetHeapIndex(void) const

{
    return HeapIndex;
}

// =================================================================================== 

inline bool
THeapObject::IsInHeap(void) const

{
    return HeapIndex != NOT_IN_HEAP;
}

// =================================================================================== 

inline void
THeapObject::SetHeapIndex(long theIndex)

{
    HeapIndex = theIndex;
}

// =================================================================================== 

inline long
THeapPrimitive::GetNrOfElements(void) const

{
    return Elements.GetNrOfItems();
}

// =================================================================================== 
