/*      file     : common/TObjectArray.t.C
        project  : General Toolbox
        author   : Marcus Rickert
        RCS      : $Id: TObjectArray.t.C,v 1.7 2005/03/25 11:04:59 mr Exp $

        Copyright (C) 2005 Marcus Rickert

        http://www.the-rickerts.de/mr/PAMINA.html
*/

#include "gcc_pragma_interface.h"

// ***METHODS************************************************************************* 

/* =================================================================================== */
#define ParentClass TObjectArrayPrimitive
/* =================================================================================== */

template <class T>

TObjectArray<T>::TObjectArray(char *theName, long theMode) :

ParentClass(theName, theMode)

{
}

/* =================================================================================== */

template <class T>

TObjectArray<T>::TObjectArray(int theIncrement, char *theName, long theMode) :

ParentClass(theIncrement, theName, theMode)

{
}

/* =================================================================================== */

template <class T>
TObjectArray<T>::~TObjectArray(void)

{
}

/* =================================================================================== */

template < class T >
TBaseObject *
TObjectArray<T>::CreateEntry(void) const

{
    return (TBaseObject *) new T;
}

/* =================================================================================== */

template < class T >
T * &
TObjectArray< T >::Get(long Index) 

{
    return (T * &) ParentClass::Get(Index);
}

/* =================================================================================== */

template < class T >
const T * 
TObjectArray< T >::Get(long Index) const

{
    return (const T *) ParentClass::Get(Index);
}

/* =================================================================================== */
#undef ParentClass
