/*      file     : common/TSelector.i.C
        project  : General Toolbox
        authors  : Marcus Rickert
        RCS      : $Id: TSelector.i.C,v 1.3 2005/03/25 11:05:00 mr Exp $

        Copyright (C) 2005 Marcus Rickert

        http://www.the-rickerts.de/mr/PAMINA.html
*/

// ***METHODS************************************************************************* 

inline long
TSelectorPrimitive::operator () (void)

{
    if (KeyPtr)
        return Container->WhileSelection(this);
    else
        return Container->WhileEnumeration(this);
}

// =================================================================================== 

inline int
TSelectorPrimitive::GetCompareCode(void) const

{
    return CompareCode;
}

// =================================================================================== 

TBaseObject *
TSelectorPrimitive::GetKeyPtr(void)

{
    return KeyPtr;
}

// =================================================================================== 

