/*      file     : parallel/TMemoryMessageControl.C
        project  : Parallel Toolbox 2.x
        author   : Marcus Rickert
        RCS      : $Id: TMemoryMessageControl.C,v 1.8 2005/03/25 11:06:20 mr Exp $

        Copyright (C) 2005 Marcus Rickert

        http://www.the-rickerts.de/mr/PAMINA.html
*/

// ***INCLUDES************************************************************************ 

#include "TMemoryMessageControl.h"

// ***METHODS************************************************************************* 

// =================================================================================== 
#define ParentClass TCommunicationControl
// =================================================================================== 

TMemoryMessageControl::TMemoryMessageControl(void)

{
    _Init();
}

// =================================================================================== 

TMemoryMessageControl::~TMemoryMessageControl(void)

{
}

// =================================================================================== 

TString
TMemoryMessageControl::GetClassName(void) const

{
    return "MemoryMessageControl";
}

// =================================================================================== 

TBaseMessage *
TMemoryMessageControl::GetNewMessage(TMessageID , TCPNID ,
                                     TDestination *, TMessageTag, 
                                     TMessageType, TMessageFlags)
{
    return 0;
}


// =================================================================================== 

void
TMemoryMessageControl::_Init(void)

{
}

// =================================================================================== 

bool
TMemoryMessageControl::MessageIsPending(void) const

{
    return FALSE;
}

// =================================================================================== 

bool
TMemoryMessageControl::ReceiveMessage(TBaseMessage *&, long)

{
    return FALSE;
}

// =================================================================================== 
#undef ParentClass
