/*      file     : TrafficData/TAsciiNodeReader.h
        project  : PAMINA III
        author   : Marcus Rickert
        RCS      : $Id: TAsciiNodeReader.h,v 1.3 2005/03/25 12:28:51 mr Exp $

        Copyright (C) 2005 Marcus Rickert

        http://www.the-rickerts.de/mr/PAMINA.html
*/

#ifndef TASCIINODEREADER_H
#define TASCIINODEREADER_H

// ***INCLUDES************************************************************************ 

#include <TAsciiDataTypeReader.h>

// ***CLASSES************************************************************************* 

class TAsciiNodeReader : public TAsciiDataTypeReader

{
public:
    
    TAsciiNodeReader(const char *BaseFilename);

private:

    virtual void *
    CreateObject(const char *) const;
    
    virtual void 
    DisposeObject(void *Object);
};

// ===================================================================================
// Local Variables:
// mode:c++
// End:

#endif
