/*      file     : common/TContainerEntry.h
        project  : General Toolbox
        author   : Marcus Rickert
        RCS      : $Id: TContainerEntry.h,v 1.5 2005/03/25 11:04:59 mr Exp $

        Copyright (C) 2005 Marcus Rickert

        http://www.the-rickerts.de/mr/PAMINA.html
*/

#ifndef TCONTAINERENTRY_H
#define TCONTAINERENTRY_H

// ***INCLUDES************************************************************************ 

#include <TBaseObject.h>

// ***CLASSES************************************************************************* 

/**
  */

class TContainerEntry : public TBaseObject

{
public:

    TContainerEntry(const TBaseObject *theDataPtr = 0);

    virtual TString
        GetClassName(void) const;
    virtual TString
        GetInstanceName(void) const;
    virtual TBaseObject *
        GetInstancePtr(void);

    inline TBaseObject *
        GetDataPtr(void) const;

private:

    TBaseObject *DataPtr;
};

// ***INLINE METHODS******************************************************************
#ifndef NO_INLINE
#  include "TContainerEntry.i.C"
#endif
// ===================================================================================
// Local Variables:
// mode:c++
// End:
#endif
