/*      file     : parallel/ParallelTemplates.C
        project  : Parallel Toolbox 2.x
        author   : Marcus Rickert
        RCS      : $Id: ParallelTemplates.C,v 1.7 2005/03/25 11:06:20 mr Exp $

        Copyright (C) 2005 Marcus Rickert

        http://www.the-rickerts.de/mr/PAMINA.html
*/

/* ***INCLUDES************************************************************************ */

#define TEMPLATEBODIES

#ifdef __GNUC__
#pragma implementation "TEventHandler.h"
#endif

#include <TArray.h>
#include <TObjectArray.h>
#include <TDLList.h>
#include <TConfigHandler.h>
#include <TCPNInfo.h>
#include <THostInfo.h>
#include <TTopologyUser.h>
#include <TBaseMessage.h>
#include <TEventHandler.h>
#include <TParallelControl.h>

#ifdef __GNUC__

template class TArray< TCPNInfo * >;
template class TArray< TTopologyUser * >;

template class TDLList< TBaseMessage >;
template class TDLList< TCPNInfo >;
template class TDLList< THostInfo >;

template class TDLListEnum< TBaseMessage >;
template class TDLListEnum< TCPNInfo >;
template class TDLListEnum< THostInfo >;

template class TObjectArray< TTopologyUser >;

template class TEventHandler< TParallelControl >;

#endif

// ===================================================================================


