/*      file     : parbalance/ParBalanceTypes.h
        project  : Parallel Toolbox 2.x
        author   : Marcus Rickert
        RCS      : $Id: ParBalanceTypes.h,v 1.5 2005/03/25 11:06:49 mr Exp $

        Copyright (C) 2005 Marcus Rickert

        http://www.the-rickerts.de/mr/PAMINA.html
*/

#ifndef PARBALANCETYPES_H
#define PARBALANCETYPES_H

// ***INCLUDES************************************************************************ 

#include <ParToolsTypes.h>

// ***DEFINES************************************************************************* 

#define CLASS_NODE_HEAP_ENTRY    "NodeHeapEntry"
#define CLASS_LOAD_STAT          "LoadStat"
#define CLASS_EXTENDED_LOAD_STAT "ExtendedLoadStat"
#define CLASS_TRANSFER_LOAD_INFO "TransferLoadInfo"
#define CLASS_NEIGHBOR_COMM_INFO "NeighborCommInfo"

#define MTAG_PLB  (MTAG_FIRST_FREE_TAG)
#define MEVENT_BALANCE_REQUEST_SEND  1
#define MEVENT_BALANCE_CANCEL_SEND   2
#define MEVENT_BALANCE_ACK_SEND      3
#define MEVENT_BALANCE_DENY_SEND     4
#define MEVENT_BALANCE_CONFIRM_SEND  5
#define MEVENT_BALANCE_READY         6

// ===================================================================================
// Local Variables:
// mode:c++
// End:
#endif
